=== debian/changelog ===
qt6-quick3dphysics (6.8.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:57:14 +0100

qt6-quick3dphysics (6.8.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Feb 2025 07:42:39 +0100

qt6-quick3dphysics (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Make package build on i386.

 -- Patrick Franz <deltaone@debian.org>  Tue, 25 Feb 2025 23:39:16 +0100

qt6-quick3dphysics (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 21:35:25 +0100
