## qt6-quick3dphysics 6.9.2

=== src/3rdparty/CMakeLists.txt ===
add_subdirectory(PhysX)
qt_install_3rdparty_library_wrap_config_extra_file(BundledPhysX)
