=== tests/baseline/CMakeLists.txt ===
--- 
+++ 
@@ -4,5 +4,7 @@
 # Special case: test includes the QBaselineTest module sources from qtbase directly
 if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../../../qtbase/tests/baseline/shared")
     add_subdirectory(scenegrabber)
-    add_subdirectory(qtquick3dphysics)
+    if (QT_FEATURE_process)
+        add_subdirectory(qtquick3dphysics)
+    endif()
 endif()
