=== debian/control ===
--- 
+++ 
@@ -7,23 +7,21 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               ccache [linux-any],
                cmake (>= 3.24~),
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-dev (>= 6.9.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
-               qt6-quick3d-dev (>= 6.9.1~),
-               qt6-quick3d-private-dev (>= 6.9.1~),
-               qt6-shadertools-dev (>= 6.9.1~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-dev (>= 6.9.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.2+dfsg~),
+               qt6-quick3d-dev (>= 6.9.2~),
+               qt6-quick3d-private-dev (>= 6.9.2~),
+               qt6-shadertools-dev (>= 6.9.2~),
 Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3dphysics.git
-Rules-Requires-Root: no
 
 Package: libqt6quick3dphysics6
 Architecture: amd64 arm64 armel armhf i386 mips64el
