=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 	export DEB_CXXFLAGS_MAINT_APPEND = -msse -msse2
 endif
 
+# enable ccache with corresponding build-profile
+ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
+	extra_cmake_args += -DQT_USE_CCACHE=ON
+endif
+
 %:
 	dh $@ --buildsystem=cmake+ninja
