=== debian/control ===
Source: qt6-quick3dphysics
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-multimedia-dev (>= 6.9.3~),
               qt6-quick3d-dev (>= 6.9.3~),
               qt6-shadertools-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-quick3dphysics.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-quick3dphysics
Maintainer: Neon CI <neon@kde.org>

Package: qt6-quick3dphysics
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         qt6-declarative,
         qt6-quick3d,
         qt6-shadertools,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6quick3dphysics6,
          libqt6quick3dphysicshelpers6,
          qml6-module-qtquick3d-physics
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics library.

Package: qt6-quick3dphysics-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-quick3d-dev,
         qt6-quick3dphysics (= ${binary:Version}),
         qt6-shadertools-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-quick3dphysics-dev-tools,
          qt6-quick3dphysics-doc-dev,
          qt6-quick3dphysics-example
Description: Qt 6 Quick 3D Physics library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Physics development files.

Package: qt6-quick3dphysics-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc,
         qt6-quick3dphysics-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-quick3dphysics-doc-html
Description: Qt 6 Quick 3D Physics library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt Quick 3D library.

Package: libqt6quick3dphysics6
Architecture: all
Depends: qt6-quick3dphysics, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dphysicshelpers6
Architecture: all
Depends: qt6-quick3dphysics, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick3d-physics
Architecture: all
Depends: qt6-quick3dphysics, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3dphysics-dev-tools
Architecture: all
Depends: qt6-quick3dphysics-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3dphysics-doc-dev
Architecture: all
Depends: qt6-quick3dphysics-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3dphysics-doc-html
Architecture: all
Depends: qt6-quick3dphysics-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3dphysics-examples
Architecture: all
Depends: qt6-quick3dphysics-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
