=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-multimedia-dev (>= 6.10.0~),
-               qt6-quick3d-dev (>= 6.10.0~),
-               qt6-shadertools-dev
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-multimedia-dev (>= 6.10.1~),
+               qt6-quick3d-dev (>= 6.10.1~),
+               qt6-shadertools-dev (>= 6.10.1~)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
